unable to load object bundle executable

Supporting Max/MSP versions 6 and up
Post Reply
jdfuller
Fresh meat
Posts: 1
Joined: Tue Feb 13, 2024 11:24 am
Contact:

unable to load object bundle executable

Post by jdfuller »

Hi,
I have a macbook pro with an Intel processor running Sonoma- the phidget control panel works, however, each time I call up a phidget object in Max, I am told (the first time for each object) that quarantine has been placed on the object, and I have since been getting the same error each time, "unable to load object bundle executable"

I used terminal to try removing the quarantine from the externals and was able to remove the quarantine- although it still is unable to load the bundle executable.

I think part of the issue could be that I'm trying to run these from an intel processor rather than M1.

Any help would be greatly appreciated
Thanks!
JD
pkokoras
Phidgetsian
Posts: 9
Joined: Tue May 19, 2020 4:16 pm
Location: USA
Contact:

Re: unable to load object bundle executable

Post by pkokoras »

Hello,

I am encountering a similar error with the Phidget22MaxMSP_1.18.20240123 library after upgrading from Max 8.5.7 to Max 8.6.0 on my MacBook Pro M1 Pro running macOS Monterey 12.6.7.

Error message on Max Console:

PhidgetDigitalInput: unable to load object bundle executable
2024-02-16 22:31:42.757 Max[89438:15375691] Error loading /Users/panayiotiskokoras/Desktop/Phidget22MaxMSP/externals/PhidgetDigitalInput.mxo/Contents/MacOS/PhidgetDigitalInput: dlopen(/Users/panayiotiskokoras/Desktop/Phidget22MaxMSP/externals/PhidgetDigitalInput.mxo/Contents/MacOS/PhidgetDigitalInput, 0x0106): Library not loaded: '@rpath/../Frameworks/MaxAPIImpl.framework/Versions/A/MaxAPIImpl'
Referenced from: '/Users/panayiotiskokoras/Desktop/Phidget22MaxMSP/externals/PhidgetDigitalInput.mxo/Contents/MacOS/PhidgetDigitalInput'
Reason: tried: '/private/var/folders/fb/9914pbf10jg7w6mqhfx_t2y00000gn/T/AppTranslocation/DA679A9B-2B48-4278-8C60-E01D85EA539F/d/Max.app/Contents/MacOS/../Frameworks/MaxAPIImpl.framework/Versions/A/MaxAPIImpl' (no such file), '/Library/Frameworks/MaxAPIImpl.framework/Versions/A/MaxAPIImpl' (no such file), '/System/Library/Frameworks/MaxAPIImpl.framework/Versions/A/MaxAPIImpl' (no such file)

Downgrading to Max 8.5.7 resolves the issue, suggesting a compatibility problem between the library and Max 8.6.0 and above. Let me know if there are any actions I can take on my end to resolve this issue.

Thank you for your time and assistance,
Panayiotis
User avatar
Patrick
Lead Developer
Posts: 614
Joined: Mon Jun 20, 2005 8:46 am
Location: Canada
Contact:

Re: unable to load object bundle executable

Post by Patrick »

I will look into the issue.

-Patrick
User avatar
Patrick
Lead Developer
Posts: 614
Joined: Mon Jun 20, 2005 8:46 am
Location: Canada
Contact:

Re: unable to load object bundle executable

Post by Patrick »

This is fixed in the latest release.

-Patrick
Post Reply

Who is online

Users browsing this forum: No registered users and 16 guests